openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject 4.0.0_release_blocker canceled: [Bug 122560] msiexec installation only possible with parameter "/i"
Date Mon, 08 Jul 2013 14:01:24 GMT
Andre <awf.aoo@googlemail.com> has canceled fanyuzhen@gmail.com's request for
4.0.0_release_blocker:
Bug 122560: msiexec installation only possible with parameter "/i"
https://issues.apache.org/ooo/show_bug.cgi?id=122560


------- Additional Comments from Andre <awf.aoo@googlemail.com>
If you start msiexec without the /qn option it shows one message box reading
"Please use the file setup.exe to start the installation.".  This comes from a
rule in the MSI file encoded in the
main/instsetoo_native/inc_openoffice/windows/msi_templates/LaunchCo.idt file:

(VersionNT < 600) or (SETUP_USED=1) or Installed	OOO_LAUNCH_2 

with OOO_LAUNCH_2 being the id of the message text quoted above.
This basically means that on everything before Vista the MSI could be installed
as is, while on Vista and above (Windows7 and Windows8) you need to run the
setup.exe.

The line was checked in on Dezember 4th, 2009 with the comment:
#i96594# Allow customization of 'register for Microsoft File Types' in custom
setup

Running the setup.exe is a little different from only installing the MSI. 
Setup.exe can also run other commands and executables.	This includes
redistributables for some Windows libraries and, like above, registration as
handler for Microsoft file types.

In other words, this is not a bug, it's a feature.  Removing the release
blocker flag.
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message